# inspired from fedora spec file
# Copyright (c) 2015-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     zend-stdlib
%define composer_name   zend-stdlib
%define composer_vendor zendframework
%define library         Stdlib

%global php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        3.1.0
Release:        %mkrel 1
Summary:        Zend Framework %{library} component
Group:          Development/PHP
License:        BSD
URL:            https://framework.zend.com
Source0:        https://github.com/zendframework/zend-stlib/archive/%{github_name}-release-%{version}.tar.gz
BuildArch:      noarch

# From composer, "require": {
#        "php": "^5.6 || ^7.0",
Requires:       php >= 5.6
# From phpcompatinfo report for version 2.7.4
Requires:       php-iconv
Requires:       php-intl
Requires:       php-mbstring
Requires:       php-pcre
# Autoloader
Requires:       php-composer(%{composer_vendor}/zend-loader)           >= 2.5

Obsoletes:      php-ZendFramework2-%{library} < 2.5
Provides:       php-ZendFramework2-%{library} = %{version}
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}


%description
Zend\Stdlib is a set of components that implements general purpose utility
class for different scopes like:
* array utilities functions;
* hydrators;
* json serializable interfaces;
* general messaging systems;
* string wrappers;
* etc.

Documentation: https://zendframework.github.io/zend-stdlib

%prep
%setup -q -n %{github_name}-release-%{version}

%build

%install
mkdir -p   %{buildroot}%{php_libdir}/Zend/
cp -pr src %{buildroot}%{php_libdir}/Zend/%{library}

%files
%doc *.md
%doc composer.json
%{php_libdir}/Zend/%{library}


%changelog
* Wed Apr 19 2017 guillomovitch <guillomovitch> 3.1.0-1.mga6
+ Revision: 1096866
- imported package php-zendframework-zend-stdlib

